PKCS_EncryptionPaddingScheme Class Reference

PKCS #1 v1.5 Encryption Padding Scheme. More...

Inheritance diagram for PKCS_EncryptionPaddingScheme:

## Public Member Functions

size_t | MaxUnpaddedLength (size_t paddedLength) const
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedLength, const NameValuePairs &parameters) const
DecodingResult | Unpad (const byte *padded, size_t paddedLength, byte *raw, const NameValuePairs &parameters) const
Public Member Functions inherited from PK_EncryptionMessageEncodingMethod
virtual bool | ParameterSupported (const char *name) const

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

PKCS #1 v1.5 Encryption Padding Scheme.

See also
  EME-PKCS1-v1_5

Definition at line 23 of file pkcspad.h.

The documentation for this class was generated from the following files:

- pkcspad.h
- pkcspad.cpp